package com.heyu.api.data.service.calca;
/**
* <p>
* 定时任务 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.ScheduleJobEntity;

import java.util.List;

public interface ScheduleJobService extends IService<ScheduleJobEntity> {



	ScheduleJobEntity selectScheduleJobById(Long id);


	Long insertScheduleJob(ScheduleJobEntity scheduleJob);


	Long insertOrUpdateScheduleJob(ScheduleJobEntity scheduleJob);


	int updateScheduleJobById(ScheduleJobEntity scheduleJob);


	int updateCoverScheduleJobById(ScheduleJobEntity scheduleJob);


	int deleteScheduleJobById(Long id);


	List<ScheduleJobEntity> selectScheduleJobsByStatus(Integer status);
}